<?php
// Do not allow direct access to the file.
if( ! defined( 'ABSPATH' ) ) {
    exit;
}
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package score
 */

?>

<article <?php echo wp_kses_post(faster_animation( "faster_articles_animation" )); ?> id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<header class="entry-header">
		<?php
		if ( has_post_thumbnail() and !get_theme_mod('hide_featured') and is_singular() ) { ?>
			<div class="post-thumb-featured">
				<?php the_post_thumbnail( 'post-thumbnail', array( 'itemprop' => 'image' ) ); ?>
			</div>
		<?php } ?>
		<?php
		if ( is_singular() ) :
			the_title( '<h1 class="entry-title">', '</h1>' );
		else :
		    ?>
				<div <?php echo wp_kses_post( faster_animation_calender () ); ?> class="c-calender">
				    <div class="s-year"><?php echo esc_html( get_the_date('Y'), 'faster' ); ?></div>
					<div class="s-month"><?php echo esc_html( get_the_date( 'M' ), 'faster' ); ?></div>

					<div class="s-line1"></div><div class="s-01"></div>
					<div class="s-line2"></div><div class="s-02"></div>
					<div class="s-line3"></div><div class="s-03"></div>
					<div class="s-line4"></div><div class="s-04"></div>
					<div class="s-line5"></div><div class="s-05"></div>

					<div class="s-date"><?php echo esc_html( get_the_date('j'), 'faster' ); ?></div>
				</div>
			<?php
			the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
		endif;
?>
	</header>
	<?php if ( (is_front_page() || is_home() || is_category() || is_archive() || is_page_template('template-blog.php')) and (!is_page_template( 'templeat-full-width.php'))) : ?>
	<?php if ( !get_theme_mod('hide_read_more') ) { ?>
		<?php if ( has_post_thumbnail() ) { ?>
		<a class="app-img-effect" href="<?php the_permalink(); ?>">	
			<div class="app-first">
				<div class="app-sub">
				<div class="hover-eff">
					<div class="fig">
						<?php the_post_thumbnail( 'post-thumbnail', array( 'itemprop' => 'image' ) ); ?>		
					</div>
				</div>
				</div>
			</div>
		</a> 
	
		<?php } ?>
		
	<?php the_excerpt(); 

	} else {
?>
	<div class="entry-content">
		<?php
		the_content( sprintf(
			wp_kses(
				/* translators: %s: Name of current post. Only visible to screen readers */
				__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'faster' ),
				array(
					'span' => array(
						'class' => array(),
					),
				)
			),
			get_the_title()
		) );

		?>
	</div><!-- .entry-content -->

<?php } ?>
	
	<?php else : ?>

	<div class="entry-content">
		<?php
		the_content( sprintf(
			wp_kses(
				/* translators: %s: Name of current post. Only visible to screen readers */
				__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'faster' ),
				array(
					'span' => array(
						'class' => array(),
					),
				)
			),
			get_the_title()
		) );

		wp_link_pages( array(
			'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'faster' ),
			'after'  => '</div>',
		) );
		?>
	</div><!-- .entry-content -->
<?php endif; ?>
		<footer class="entry-footer">
		<?php if ( 'post' === get_post_type() ) { ?>
			<div <?php echo wp_kses_post( faster_animation_calender () ); ?> class="entry-meta">
				<?php
				$faster_categories_list = get_the_category_list( esc_html__( ', ', 'faster' ) );
				if ( $faster_categories_list ) {
					/* translators: 1: list of categories. */
					echo '<span class="news-cate cat-hide"><span class="dashicons dashicons-portfolio"></span> <span class="cat-links  "></span>'. wp_kses_post( $faster_categories_list ).'</span>' ;
				}
				faster_posted_by();
				faster_entry_footer(); 
				?>
			</div><!-- .entry-meta -->
		<?php } ?>	


	</footer><!-- .entry-footer -->		
</article>
